Skip to main content
GET
/
alerts
List Alerts
curl --request GET \
  --url https://api.warrn.io/alerts/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "source": "integration",
    "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "service_name": "<string>",
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "team_name": "<string>",
    "tags": [
      "<string>"
    ],
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "acknowledged_at": "2023-11-07T05:31:56Z",
    "resolved_at": "2023-11-07T05:31:56Z",
    "alert_alias": "<string>",
    "occurrence_count": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.warrn.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token using your Warrn API key.

Query Parameters

status
enum<string>

Filter by status. not_resolved returns both open and acknowledged.

Available options:
open,
acknowledged,
resolved,
not_resolved
severity
enum<string>
Available options:
low,
medium,
high,
critical
team_id
string<uuid>
service_id
string<uuid>
resolved_by
string<uuid>
acknowledged_by
string<uuid>

Response

Array of alerts

id
string<uuid>
name
string
description
string
severity
enum<string>
Available options:
low,
medium,
high,
critical
status
enum<string>
Available options:
open,
acknowledged,
resolved
source
string
Example:

"integration"

service_id
string<uuid> | null
service_name
string | null
team_id
string<uuid> | null
team_name
string | null
tags
string[]
metadata
object
created_at
string<date-time>
updated_at
string<date-time>
acknowledged_at
string<date-time> | null
resolved_at
string<date-time> | null
alert_alias
string | null
occurrence_count
integer